Skip to content
StraventaDocs

Create product and initial variant

Creates a new product with one default variant. The SKU must be unique within the tenant. Requires `pos.catalog.write` or equivalent.

POST
/api/pos/v1/catalog/products

Creates a new product with one default variant. The SKU must be unique within the tenant. Requires pos.catalog.write or equivalent.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/pos/v1/catalog/products" \  -H "Content-Type: application/json" \  -d '{    "store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0",    "name": "string",    "sku": "string",    "price_cents": 0,    "currency": "IDR"  }'
{
  "product_id": "018f4d9f-7b8a-7c2d-9a2d-1f8b92f6d400",
  "variant_id": "018f4d9f-7b8a-7c2d-9a2d-1f8b92f6d401",
  "sku": "ESP-001",
  "name": "Espresso"
}
Empty
Empty
Empty

Was this page helpful?